Issue 10759

Title
Fail sale_advance_payment scenario tests
Priority
bug
Status
resolved
Nosy list
pokoli, resteve, reviewbot, roundup-bot
Assigned to
pokoli
Keywords
easy, review

Created on 2021-09-17.10:22:34 by resteve, last changed 2 weeks ago by roundup-bot.

Messages

New changeset fb48aca37db1 by Sergi Almacellas Abellana in branch 'default':
Avoid future invoice date in test scenario
https://hg.tryton.org/tryton-env/rev/fb48aca37db1
New changeset 56e9772f8b27 by Sergi Almacellas Abellana in branch 'default':
Avoid future invoice date in test scenario
https://hg.tryton.org/modules/sale_advance_payment/rev/56e9772f8b27
Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2021-09-29.15:15:41

I need this to be fixed in order to ensure test pass for issue10812. So I added review360191002 which fixes the test scenario and the comments on the review.

Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2021-09-17.10:28:09

The dates from the scenario should be adapted to avoid the warning.

Author: [hidden] (resteve)
Date: 2021-09-17.10:22:34

Since issue10088

File "/home/raimon/projectes/nandev/nancore/trytond/trytond/modules/sale_advance_payment/tests/scenario_advance_payment.rst", line 174, in scenario_advance_payment.rst
Failed example:
    invoice.click('post')
Exception raised:
    Traceback (most recent call last):
      File "/usr/lib/python3.7/doctest.py", line 1329, in __run
        compileflags, 1), test.globs)
      File "<doctest scenario_advance_payment.rst[103]>", line 1, in <module>
        invoice.click('post')
      File "/home/raimon/projectes/nandev/nancore/proteus/proteus/__init__.py", line 102, in newfunc
        return self.func(owner, [instance], *args, **kwargs)
      File "/home/raimon/projectes/nandev/nancore/proteus/proteus/__init__.py", line 908, in click
        return getattr(proxy, button)([r.id for r in records], context)
      File "/home/raimon/projectes/nandev/nancore/proteus/proteus/config.py", line 188, in __call__
        result = rpc.result(meth(*args, **kwargs))
      File "/home/raimon/projectes/nandev/nancore/trytond/trytond/model/modelview.py", line 774, in wrapper
        return func(cls, records, *args, **kwargs)
      File "/home/raimon/projectes/nandev/nancore/trytond/trytond/model/workflow.py", line 37, in wrapper
        result = func(cls, filtered, *args, **kwargs)
      File "/home/raimon/projectes/nandev/nancore/trytond/trytond/modules/account_invoice/invoice.py", line 1548, in post
        invoices=names))
    trytond.modules.account_invoice.exceptions.InvoiceFutureWarning: The invoices "(2)" have an invoice date in the future. - 
History
Date User Action Args
2021-09-30 13:12:47roundup-botsetmessages: + msg70524
2021-09-30 13:12:43roundup-botsetmessages: + msg70523
nosy: + roundup-bot
status: testing -> resolved
2021-09-29 15:15:41pokolisetassignedto: resteve -> pokoli
messages: + msg70509
status: in-progress -> testing
2021-09-17 11:59:57reviewbotsetmessages: + msg70175
nosy: + reviewbot
2021-09-17 11:32:18restevesetkeyword: + review
reviews: 360121002
status: chatting -> in-progress
2021-09-17 10:28:10pokolisetkeyword: + easy
messages: + msg70159
nosy: + pokoli
2021-09-17 10:22:34restevecreate

Showing 10 items. Show all history (warning: this could be VERY long)